petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellSetCreateRestriction

Set the routine used to create the restriction operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateRestriction(DM dm, PetscErrorCode (*restriction)(DM,DM,Mat*))

Logically Collective on DM Many br

Input Arguments Many br

| dm | - the shell DM Many br
| striction | - the routine to create the restriction Many br

Many br

### See Also

DMShellSetCreateInjection(), DMCreateInterpolation(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html